curl --request GET \
--url https://www.fmdb.net/api/productions \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/productions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/productions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.fmdb.net/api/productions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.fmdb.net/api/productions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.fmdb.net/api/productions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.fmdb.net/api/productions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "dc2dc469-956d-4202-9501-f5df554753f8",
"title": "The Godfather",
"_type": "movie",
"year": 1972,
"country": "US",
"release_date": "1972-03-24",
"duration": 175,
"akas": "Der Pate\nEl Padrino",
"description": "The aging patriarch of an organized crime dynasty...",
"imdb": "tt0068646",
"tmdb": "238",
"igdb": "<string>",
"slug": "the-godfather",
"release_count": 5,
"recording_count": 12,
"composers": [
{
"id": "aea8208e-167f-4824-b51d-29a6a348d82b",
"name": "John Williams"
}
],
"images": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"parent": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
},
"included": [
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "dc2dc469-956d-4202-9501-f5df554753f8",
"title": "The Godfather",
"_type": "movie",
"year": 1972,
"country": "US",
"release_date": "1972-03-24",
"duration": 175,
"akas": "Der Pate\nEl Padrino",
"description": "The aging patriarch of an organized crime dynasty...",
"imdb": "tt0068646",
"tmdb": "238",
"igdb": "<string>",
"slug": "the-godfather",
"release_count": 5,
"recording_count": 12,
"composers": [
{
"id": "aea8208e-167f-4824-b51d-29a6a348d82b",
"name": "John Williams"
}
],
"images": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"parent": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
},
"included": "<array>"
}
]
}{
"errors": [
{
"status": "429",
"title": "Rate Limit Exceeded",
"detail": "You have exceeded the rate limit of 300 requests per 60 seconds. The budget resets at 2026-01-15T10:00:42+00:00."
}
]
}List productions
A JSON:API sparse fieldset narrows each production to the attributes it names, e.g. fields[Production]=title,year,country; descriptions and akas are left out unless named.
curl --request GET \
--url https://www.fmdb.net/api/productions \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.fmdb.net/api/productions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.fmdb.net/api/productions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.fmdb.net/api/productions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.fmdb.net/api/productions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.fmdb.net/api/productions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.fmdb.net/api/productions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "dc2dc469-956d-4202-9501-f5df554753f8",
"title": "The Godfather",
"_type": "movie",
"year": 1972,
"country": "US",
"release_date": "1972-03-24",
"duration": 175,
"akas": "Der Pate\nEl Padrino",
"description": "The aging patriarch of an organized crime dynasty...",
"imdb": "tt0068646",
"tmdb": "238",
"igdb": "<string>",
"slug": "the-godfather",
"release_count": 5,
"recording_count": 12,
"composers": [
{
"id": "aea8208e-167f-4824-b51d-29a6a348d82b",
"name": "John Williams"
}
],
"images": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"parent": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
}
],
"links": {
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
},
"meta": {
"totalItems": 1,
"itemsPerPage": 1,
"currentPage": 1
},
"included": [
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"_id": "dc2dc469-956d-4202-9501-f5df554753f8",
"title": "The Godfather",
"_type": "movie",
"year": 1972,
"country": "US",
"release_date": "1972-03-24",
"duration": 175,
"akas": "Der Pate\nEl Padrino",
"description": "The aging patriarch of an organized crime dynasty...",
"imdb": "tt0068646",
"tmdb": "238",
"igdb": "<string>",
"slug": "the-godfather",
"release_count": 5,
"recording_count": 12,
"composers": [
{
"id": "aea8208e-167f-4824-b51d-29a6a348d82b",
"name": "John Williams"
}
],
"images": [
{}
],
"created_at": "2024-01-15T10:00:00+00:00",
"updated_at": "2024-01-15T14:30:00+00:00"
},
"relationships": {
"parent": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
}
},
"included": "<array>"
}
]
}{
"errors": [
{
"status": "429",
"title": "Rate Limit Exceeded",
"detail": "You have exceeded the rate limit of 300 requests per 60 seconds. The budget resets at 2026-01-15T10:00:42+00:00."
}
]
}Authorizations
API token authentication
Query Parameters
The collection page number
Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
Production title
Production title
Production country
Production country
Production year
Production year
Production type
Production q
Production order[title]
asc, desc, ASC, DESC Production order[year]
asc, desc, ASC, DESC Production order[country]
asc, desc, ASC, DESC Production order[createdAt]
asc, desc, ASC, DESC Response
Production collection
Production.jsonapi collection.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
{
"self": "string",
"first": "string",
"prev": "string",
"next": "string",
"last": "string"
}
Show child attributes
Show child attributes
Related resources requested via the "include" query parameter.
Show child attributes
Show child attributes
